Bug 2031157 - squirrelmail needs update for PHP 8
Summary: squirrelmail needs update for PHP 8
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: squirrelmail
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-12-10 16:10 UTC by Ferry Huberts
Modified: 2022-05-13 17:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
Spec file for current version of Squirrelmail (26.06 KB, text/plain)
2022-05-13 17:21 UTC, Alan Olsen
no flags Details

Description Ferry Huberts 2021-12-10 16:10:53 UTC
Description of problem:
The squirrelmail included in Fedora doesn't work with PHP 8.

It was working on F34, and the upgrade to F35 broke it.

There is absolutely nothing in any logs, it just shows a blank page with error 500.

Upstream has fixed this, please update.

From upstream:

ANNOUNCE: PHP 8 Compatibility
Oct 15, 2021 by Paul Lesniewski
 	The nightly snapshots for versions 1.4.23 and 1.5.2 found on our download page include compatibility for the newest versions of PHP 8. We encourage all SquirrelMail administrators to use a recent snapshot of either version and as always, let us know if there are any fixes, additions or changes you think SquirrelMail would benefit from.


Version-Release number of selected component (if applicable):
squirrelmail-1.4.23-6.fc34.20190710.noarch


How reproducible:
always

Comment 1 RobbieTheK 2022-01-04 23:01:42 UTC
Enabling debug logging in php.ini you can see the errors:
Fatal error*: Array and string offset access syntax with curly braces is no longer supported in */usr/share/squirrelmail/functions/strings.php* on line *634*

Many files have this syntax. Any ETA on at least a test RPM?

Comment 2 Ferry Huberts 2022-02-12 21:58:30 UTC
ping?

package is broken

Comment 3 Alan Olsen 2022-05-13 16:53:20 UTC
This package is orphaned. Anyone willing to pick it up?

Comment 4 Alan Olsen 2022-05-13 17:18:06 UTC
I have a package built that works. Pretty trivial to build.

How do I get this added to the repo?

Comment 5 Alan Olsen 2022-05-13 17:21:42 UTC
Created attachment 1879470 [details]
Spec file for current version of Squirrelmail

This is what I used to rebuild squirrelmail. Also may need to fix the rpmnew files for dovecot to make it work. (/etc/dovecot/conf.d/10-ssl.conf and /etc/dovecot/dovecot.conf.)


Note You need to log in before you can comment on or make changes to this bug.